OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.PixelTransform

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTPixelTransform :: MonadIO m => m Bool
- gl_EXT_pixel_transform :: Bool
- pattern GL_AVERAGE_EXT :: GLenum
- pattern GL_CUBIC_EXT :: GLenum
- pattern GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT :: GLenum
- pattern GL_PIXEL_CUBIC_WEIGHT_EXT :: GLenum
- pattern GL_PIXEL_MAG_FILTER_EXT :: GLenum
- pattern GL_PIXEL_MIN_FILTER_EXT :: GLenum
- pattern GL_PIXEL_TRANSFORM_2D_EXT :: GLenum
- pattern GL_PIXEL_TRANSFORM_2D_MATRIX_EXT :: GLenum
- pattern GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT :: GLenum
- glGetPixelTransformParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetPixelTransformParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glPixelTransformParameterfEXT :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glPixelTransformParameterfvEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glPixelTransformParameteriEXT :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glPixelTransformParameterivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetEXTPixelTransform :: MonadIO m => m Bool Source #

Is the EXT_pixel_transform extension supported?

gl_EXT_pixel_transform :: Bool Source #

Is the EXT_pixel_transform extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTPixelTransform` in those cases instead.

# Enums

pattern GL_AVERAGE_EXT :: GLenum Source #

pattern GL_CUBIC_EXT :: GLenum Source #

pattern GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT :: GLenum Source #

pattern GL_PIXEL_CUBIC_WEIGHT_EXT :: GLenum Source #

pattern GL_PIXEL_MAG_FILTER_EXT :: GLenum Source #

pattern GL_PIXEL_MIN_FILTER_EXT :: GLenum Source #

pattern GL_PIXEL_TRANSFORM_2D_EXT :: GLenum Source #

pattern GL_PIXEL_TRANSFORM_2D_MATRIX_EXT :: GLenum Source #

pattern GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT :: GLenum Source #

# Functions

glGetPixelTransformParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetPixelTransformParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glPixelTransformParameterfEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelTransformTargetEXT.
-> GLenum | `pname` of type PixelTransformPNameEXT.
-> GLfloat | `param`.
-> m () |

glPixelTransformParameterfvEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelTransformTargetEXT.
-> GLenum | `pname` of type PixelTransformPNameEXT.
-> Ptr GLfloat | `params` pointing to `1` element of type `GLfloat`.
-> m () |

glPixelTransformParameteriEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelTransformTargetEXT.
-> GLenum | `pname` of type PixelTransformPNameEXT.
-> GLint | `param`.
-> m () |

glPixelTransformParameterivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type PixelTransformTargetEXT.
-> GLenum | `pname` of type PixelTransformPNameEXT.
-> Ptr GLint | `params` pointing to `1` element of type `GLint`.
-> m () |